It's impossible to turn off notifications for External Drives application

Bug #1611848 reported by Doctor Rover on 2016-08-10
40
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Canonical System Image
High
Bill Filler
ubuntu-push (Ubuntu)
High
Arthur Mello
ubuntu-system-settings (Ubuntu)
Low
Unassigned

Bug Description

Turning off notifications for External Drives application using toggle-switch in System Settings -> Notifications has no effect. External Drives app keeps sending notifications.
It seems to be a kind of regression, since it used to work before, but it hasn't been working for about a month.

Switching this toggle is suggested as a workaround for Bug #1518124 but it doesn't work now.

I use bq M10 on rc-proposed / r162.

Related branches

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-system-settings (Ubuntu):
status: New → Confirmed
Ren (ubuntech) wrote :

idem on BQ krillin 4.5 rc-proposed r404 (ubuntu 15.04)

Pat McGowan (pat-mcgowan) wrote :

It has regressed I assume with the new notifications panel that landed a month ago

push-client.log reports
2016/08/10 17:53:06.070016 INFO helper output: {"notification":{"card":{"summary":"Storage device has been removed","body":"Content previously available on this device will no longer be accessible","popup":true,"actions":["application:///ciborium.desktop"],"icon":"media-memory-sd","persist":true}}}
2016/08/10 17:53:06.076620 ERROR GetWindowStack call returned org.freedesktop.DBus.Error.ServiceUnknown: The name com.canonical.Unity.WindowStack was not provided by any .service files

(process:2474): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion 'path_is_valid (path)' failed

(process:2474): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion 'path_is_valid (path)' failed

(process:2474): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion 'path_is_valid (path)' failed

(process:2474): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion 'path_is_valid (path)' failed

(process:2474): GLib-GIO-CRITICAL **: g_settings_new_with_path: assertion 'path_is_valid (path)' failed

** (process:2474): WARNING **: a source with id 'postal' doesn't exist

Changed in canonical-devices-system-image:
assignee: nobody → Bill Filler (bfiller)
importance: Undecided → High
milestone: none → 13
status: New → Confirmed
tags: added: regession-proposed
Changed in ubuntu-push (Ubuntu):
assignee: nobody → Arthur Mello (artmello)
Bill Filler (bfiller) on 2016-08-11
Changed in ubuntu-push (Ubuntu):
importance: Undecided → High
tags: added: regression-proposed
removed: regession-proposed
Arthur Mello (artmello) on 2016-08-12
Changed in ubuntu-push (Ubuntu):
status: New → In Progress
Changed in canonical-devices-system-image:
status: Confirmed → In Progress
Changed in ubuntu-system-settings (Ubuntu):
status: Confirmed → Invalid
importance: Undecided → Low
Changed in canonical-devices-system-image:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-push - 0.68+16.10.20160825.4-0ubuntu1

---------------
ubuntu-push (0.68+16.10.20160825.4-0ubuntu1) yakkety; urgency=medium

  [ Arthur Mello ]
  * Fix check for empty package name when receiving notifications from
    legacy deb apps (LP: #1611848)

 -- Arthur Renato Mello <email address hidden> Thu, 25 Aug 2016 21:43:59 +0000

Changed in ubuntu-push (Ubuntu):
status: In Progress → Fix Released
Changed in canonical-devices-system-image:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers